PETSc version 3.15.5
Fix/Edit manual page

# MatCholeskyFactorNumeric

Performs numeric Cholesky factorization of a symmetric matrix. Call this routine after first calling MatCholeskyFactorSymbolic().

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatCholeskyFactorNumeric(Mat fact,Mat mat,const MatFactorInfo *info)

Collective on Mat

### Input Parameters

| fact | - the factor matrix obtained with MatGetFactor()
| mat | - the initial matrix
| info | - options for factorization
| fact | - the symbolic factor of mat

### Notes

Most users should employ the simplified KSP interface for linear solvers instead of working directly with matrix algebra routines such as this. See, e.g., KSPCreate().

### See Also

MatCholeskyFactorSymbolic(), MatCholeskyFactor(), MatLUFactorNumeric()

Developer Note: fortran interface is not autogenerated as the f90 interface defintion cannot be generated correctly [due to MatFactorInfo]

### Level

developer

### Location

src/mat/interface/matrix.c

### Implementations

MatCholeskyFactorNumeric_SparseElemental in src/mat/impls/aij/mpi/clique/clique.cxx
MatCholeskyFactorNumeric_SeqAIJ in src/mat/impls/aij/seq/aijfact.c
MatCholeskyFactorNumeric_SeqAIJCUSPARSE in src/mat/impls/aij/seq/seqcusparse/aijcusparse.cu
MatCholeskyFactorNumeric_SeqDense in src/mat/impls/dense/seq/dense.c
MatCholeskyFactorNumeric_Elemental in src/mat/impls/elemental/matelem.cxx
MatCholeskyFactorNumeric_CHOLMOD in src/mat/impls/sbaij/seq/cholmod/sbaijcholmod.c
MatCholeskyFactorNumeric_ScaLAPACK in src/mat/impls/scalapack/matscalapack.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages